## dmtcp 2.3.1

=== manpages/Makefile ===
hdr=header.tex
ftr=footer.tex
macros=macros.trans
tmp=tmp.tex
vtmp=vtmp.tex

targets = dmtcp_command dmtcp_coordinator dmtcp_launch dmtcp_restart

default:
	echo "\setVersion{`cat ../VERSION`}" > $(vtmp);
	for i in $(targets); do \
	  (cat $(hdr) $(vtmp) $$i.tex $(ftr) > $(tmp); \
	  latex2man -t $(macros) $(tmp) $$i.1); gzip -9 $$i.1; \
	done
	rm $(vtmp) $(tmp)

.PHONY: default

=== contrib/ib2tcp/Makefile ===
LIBNAME=libdmtcp_ib2tcp.so
LIBOBJS = ibwrappers.o ib2tcp.o
HEADERS = ib2tcp.h ibwrappers.h

# This assumes infiniband is a subdirectory of dmtcp/src
ifndef DMTCP_ROOT
	DMTCP_ROOT=../..
endif
INCLUDE_FLAGS=-I${DMTCP_ROOT}/include -I${DMTCP_ROOT}/jalib

CFLAGS += ${INCLUDE_FLAGS} -DDMTCP -fPIC -c -g -O0
CPPFLAGS += ${INCLUDE_FLAGS} -DDMTCP -fPIC -c -g -O0

default: check-compat ${LIBNAME}

check-compat:
	@ grep "INFINIBAND_SUPPORT='yes'" ${DMTCP_ROOT}/config.log > /dev/null \
	  || \
	  (echo && \
	  echo DMTCP not configured with --enable-infiniband-support. && \
	  echo Infiniband plugin cannot work. Execute the following && \
	  echo to reconfigure DMTCP before proceeding: && \
	  echo './configure --enable-infiniband-support; make clean; make' && \
	  false)

${LIBNAME}: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

%.o: %.c ${HEADERS}
	${CC} ${CFLAGS} -o $@ $<

%.o: %.cpp ${HEADERS}
	${CXX} ${CPPFLAGS} -o $@ $<

tidy:
	rm -rf ckpt_*.dmtcp core.* dmtcp_restart_script*

clean:
	rm -f ${LIBOBJS} ${LIBNAME}

distclean: clean

dist: distclean
	dir=`basename $$PWD`; cd ..; tar czvf $$dir.tar.gz ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default distclean clean tidy

=== contrib/kvm/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_${NAME}hijack

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = ${NAME}.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../..
endif
DMTCP_SRC=${DMTCP_ROOT}/dmtcp/src
DMTCP_INCLUDE=${DMTCP_ROOT}/dmtcp/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so

${DMTCP_ROOT}/test/dmtcp1: ${DMTCP_ROOT}/test
	cd ${DMTCP_ROOT}/test; make dmtcp1
check: ${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1
	${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} -i 5 \
	  --with-plugin $$PWD/${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1

# We link the library using C++ for compatibility with the main dmtcphijack.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean:
	rm -f ${LIBOBJS} ${LIBNAME}.so

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== contrib/tun/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_${NAME}hijack

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = ${NAME}.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/dmtcp/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so

${DMTCP_ROOT}/test/dmtcp1: ${DMTCP_ROOT}/test
	cd ${DMTCP_ROOT}/test; make dmtcp1
check: ${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1
	${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} -i 5 \
	  --with-plugin $$PWD/${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean:
	rm -f ${LIBOBJS} ${LIBNAME}.so

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== doc/src/Makefile ===
# This Makefile was used to produce .pdf files from .tex files.

FIG=${wildcard *.fig}
EPS=${FIG:.fig=.eps}

plugin-tutorial.pdf: plugin-tutorial.tex
	pdflatex $<
	if grep -q Rerun `basename $< .tex`.log; then pdflatex $<; fi

architecture-of-dmtcp.pdf: architecture-of-dmtcp.ps
	ps2pdf $<
architecture-of-dmtcp.ps: architecture-of-dmtcp.dvi
	dvips $<
architecture-of-dmtcp.dvi: architecture-of-dmtcp.tex ${EPS}
	latex $<

%.eps: %.fig
	fig2dev -L eps $< > $@

clean:
	rm -rf *.eps *.dvi *.ps *.pdf *.aux *.log *.toc

=== test/plugin/applic-delayed-ckpt/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_plugin-to-announce-events

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = plugin-to-announce-events.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../..
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so applic

applic: applic.c
	${CC} -fPIC -I${DMTCP_INCLUDE} -o $@ $< -ldl

check: ${LIBNAME}.so applic
	@ echo ""
	@ echo "============ TESTING ./applic _WITHOUT_ DMTCP ================"
	- ./applic
	@ echo '(Application has exited.)'
	@ echo ""
	@ sleep 3
	@ echo "============ TESTING ./applic WITH DMTCP ================="
	# -i 2 flag will write checkpoint every two seconds.
	${DMTCP_ROOT}/bin/dmtcp_launch --quiet --port ${DEMO_PORT} -i 2 \
	  --with-plugin $$PWD/${LIBNAME}.so ./applic &
	@ sleep 7
	@ echo ""
	@ echo "===== RESTARTING USING ./dmtcp_restart_script.sh ============="
	./dmtcp_restart_script.sh
	@ echo ""
	@ echo "ALL TESTS SUCCEEDED"

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean: tidy
	rm -f ${LIBOBJS} ${LIBNAME}.so applic

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== test/plugin/applic-initiated-ckpt/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_plugin-to-announce-events

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = plugin-to-announce-events.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../..
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so applic

applic: applic.c
	${CC} -fPIC -I${DMTCP_INCLUDE} -o $@ $< -ldl

check: ${LIBNAME}.so applic
	@ echo ""
	@ echo "============ TESTING ./applic _WITHOUT_ DMTCP ================"
	- ./applic
	@ echo '(Application has exited.)'
	@ echo ""
	@ sleep 3
	@ echo "============ TESTING ./applic WITH DMTCP ================="
	${DMTCP_ROOT}/bin/dmtcp_launch --quiet --port ${DEMO_PORT} \
	  --with-plugin $$PWD/${LIBNAME}.so ./applic
	@ echo ""
	@ sleep 5
	@ echo "===== RESTARTING USING ./dmtcp_restart_script.sh ============="
	./dmtcp_restart_script.sh
	@ echo ""
	@ echo "ALL TESTS SUCCEEDED"

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean: tidy
	rm -f ${LIBOBJS} ${LIBNAME}.so applic

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== test/plugin/example-db/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_${NAME}hijack

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = ${NAME}.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../..
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so

# We run two processes, dmtcp1, with keys set to 1 for one, and 2 for the other
${DMTCP_ROOT}/test/dmtcp1: ${DMTCP_ROOT}/test
	cd ${DMTCP_ROOT}/test; make dmtcp1
check: ${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1
	${DMTCP_ROOT}/bin/dmtcp_coordinator --port ${DEMO_PORT} \
	  --daemon --exit-on-last -i 5
	EXAMPLE_DB_KEY=1 EXAMPLE_DB_KEY_OTHER=2 \
	  ${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} --join -i 5 \
	  --with-plugin $$PWD/${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1 &
	EXAMPLE_DB_KEY=2 EXAMPLE_DB_KEY_OTHER=1 \
	  ${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} --join -i 5 \
	  --with-plugin $$PWD/${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1 &
	sleep 20; ${DMTCP_ROOT}/bin/dmtcp_command --port ${DEMO_PORT} --quit

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean:
	rm -f ${LIBOBJS} ${LIBNAME}.so

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== test/plugin/example/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_${NAME}hijack

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = ${NAME}.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../..
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so

${DMTCP_ROOT}/test/dmtcp1: ${DMTCP_ROOT}/test
	cd ${DMTCP_ROOT}/test; make dmtcp1
check: ${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1
	# Note that full path of plugin (using $$PWD in this case) is required.
	${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} -i 5 \
	  --with-plugin $$PWD/${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean:
	rm -f ${LIBOBJS} ${LIBNAME}.so

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== test/plugin/sleep1/Makefile ===
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_${NAME}hijack

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = ${NAME}.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../..
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so

${DMTCP_ROOT}/test/dmtcp1: ${DMTCP_ROOT}/test
	cd ${DMTCP_ROOT}/test; make dmtcp1
check: ${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1
	${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} -i 5 \
	  --with-plugin $$PWD/${LIBNAME}.so ${DMTCP_ROOT}/test/dmtcp1

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean:
	rm -f ${LIBOBJS} ${LIBNAME}.so

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== test/plugin/sleep2/Makefile ===
# MOST Makefile's IN ../plugin/* ARE IDENTICAL.  THIS ONE IS SLIGHTLY ALTERED.
# To demonstrate, do:  make check    [Checkpoints every 5 seconds]

# The name will be the same as the current directory name.
NAME=${shell basename $$PWD}

# By default, your resulting library will have this name.
LIBNAME=dmtcp_${NAME}hijack

# As you add new files to your hijack library, add the object file names here.
LIBOBJS = ${NAME}.o

# Modify if your DMTCP_ROOT is located elsewhere.
ifndef DMTCP_ROOT
  DMTCP_ROOT=../../..
endif
DMTCP_INCLUDE=${DMTCP_ROOT}/include

CFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c --std=gnu99 -g
CXXFLAGS += -I${DMTCP_INCLUDE} -DDMTCP -fPIC -c -g

DEMO_PORT=7781

default: ${LIBNAME}.so

${DMTCP_ROOT}/test/dmtcp1: ${DMTCP_ROOT}/test
	cd ${DMTCP_ROOT}/test; make dmtcp1
../sleep1/dmtcp_sleep1hijack.so: ../sleep1
	cd ../sleep1; make dmtcp_sleep1hijack.so
check: ${LIBNAME}.so ../sleep1/dmtcp_sleep1hijack.so ${DMTCP_ROOT}/test/dmtcp1
	${DMTCP_ROOT}/bin/dmtcp_launch --port ${DEMO_PORT} -i 5 \
	  --with-plugin \
		$$PWD/../sleep1/dmtcp_sleep1hijack.so:$$PWD/${LIBNAME}.so \
	  ${DMTCP_ROOT}/test/dmtcp1

# We link the library using C++ for compatibility with the main libdmtcp.so
${LIBNAME}.so: ${LIBOBJS}
	${CXX} -shared -fPIC -o $@ $^

.c.o:
	${CC} ${CFLAGS} -o $@ $<
.cpp.o:
	${CXX} ${CXXFLAGS} -o $@ $<

tidy:
	rm -f *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

clean:
	rm -f ${LIBOBJS} ${LIBNAME}.so

distclean: clean
	rm -f ${LIBNAME}.so *~ .*.swp dmtcp_restart_script*.sh ckpt_*.dmtcp

dist: distclean
	dir=`basename $$PWD`; cd ..; \
	  tar czvf $$dir.tar.gz --exclude-vcs ./$$dir
	dir=`basename $$PWD`; ls -l ../$$dir.tar.gz

.PHONY: default clean dist distclean

=== debian/changelog ===
dmtcp (2.3.1-6) unstable; urgency=medium

  * Provided a pselect wrapper to correctly resume after a checkpoint, which
    resolves a bug causing script test to fail (closes: #769214)
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Mon, 24 Nov 2014 20:15:05 -0500

dmtcp (2.3.1-5) unstable; urgency=low

  * Removed armhf architecture support from dmtcp-dbg as well.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Sat, 26 Jul 2014 09:58:35 -0400

dmtcp (2.3.1-4) unstable; urgency=low

  * Removed armel architecture support.
  * Remove previously added -march=armv7 for ARM builds.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Fri, 25 Jul 2014 16:19:26 -0400

dmtcp (2.3.1-3) unstable; urgency=low

  * Added armhf architecture support.
  * Force -march=armv7 for ARM builds.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Thu, 24 Jul 2014 11:50:36 -0400

dmtcp (2.3.1-2) unstable; urgency=low

  * Compilation fix for older ARM CPUs.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Sat, 19 Jul 2014 13:42:49 -0400

dmtcp (2.3.1-1) unstable; urgency=low

  * New upstream release 2.3.1 (closes: #662910).
  * Remove stale dependency on libmtcp1 (closes: #753764).
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Mon, 14 Jul 2014 18:56:41 -0400

dmtcp (2.2-1) unstable; urgency=low

  * New upstream release 2.2.
  * Changing distribution from experimental to unstable.
  * Updated debian standards version to 3.9.5.
  * Removed libmtcp and libdmtcpaware packages.
  * Run make check in "slow" mode.
  * Updated copyright file.
  * Added debian/NEWS file.
  * Removed some stale files from install procedure.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Sat, 11 Jan 2014 23:47:45 -0500

dmtcp (1.2.7-1) experimental; urgency=low

  * Preparing for upstream Release 1.2.7.
  * Vcs-svn and Vcs-browser URLs updated.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Kapil Arya <kapil@ccs.neu.edu>  Thu, 14 Mar 2013 07:10:34 -0400

=== debian/control ===
Source: dmtcp
Section: utils
Priority: optional
Maintainer: Kapil Arya <kapil@ccs.neu.edu>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7), python
Standards-Version: 3.9.5
Vcs-svn: svn://svn.code.sf.net/p/dmtcp/code/trunk
Vcs-browser: https://sourceforge.net/p/dmtcp/code
Homepage: http://dmtcp.sourceforge.net

Package: dmtcp
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Checkpoint/Restart functionality for Linux processes
 DMTCP (Distributed MultiThreaded Checkpointing) is a tool to transparently
 checkpointing the state of an arbitrary group of programs including
 multi-threaded and distributed computations.  It operates directly on the user
 binary executable, with no Linux kernel modules or other kernel mods.
 .
 Among the applications supported by DMTCP are Open MPI, MATLAB, Python, Perl,
 and many programming languages and shell scripting languages.  DMTCP also
 supports GNU screen sessions, including vim/cscope and emacs. With the use of
 TightVNC, it can also checkpoint and restart X-Window applications, as long
 as they do not use extensions (e.g.: no OpenGL, no video).
 .
 This package contains DMTCP binaries.

Package: dmtcp-dbg
Architecture: i386 amd64 armhf
Section: debug
Priority: extra
Depends: dmtcp, ${misc:Depends}
Description: Debug package for dmtcp
 DMTCP (Distributed MultiThreaded Checkpointing) is a tool to transparently
 checkpointing the state of an arbitrary group of programs including
 multi-threaded and distributed computations.  It operates directly on the user
 binary executable, with no Linux kernel modules or other kernel mods.
 .
 Among the applications supported by DMTCP are Open MPI, MATLAB, Python, Perl,
 and many programming languages and shell scripting languages.  DMTCP also
 supports GNU screen sessions, including vim/cscope and emacs. With the use of
 TightVNC, it can also checkpoint and restart X-Window applications, as long
 as they do not use extensions (e.g.: no OpenGL, no video).
 .
 This package contains debugging symbols for DMTCP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

DPKG_BUILD_VERSION= $(shell dpkg-buildflags --version | sed -ne '1s,.*version *,,gp')
ifeq ($(shell dpkg --compare-versions 1.16.1 lt $(DPKG_BUILD_VERSION) && echo TRUE), TRUE)
DPKG_BUILDFLAGS= $(shell dpkg-buildflags --export=configure)
else
DPKG_BUILDFLAGS= CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="-Wl,-z,defs"
endif

BUILDDIR = debian/tmp
DESTDIR = $(CURDIR)/$(BUILDDIR)


configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info $(DPKG_BUILDFLAGS)

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),arm)
	env PWD=`pwd` ./test/autotest.py --retry-once --slow
endif
endif

	touch $@

clean: 
	dh_testdir
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	dh_lintian

	# Add here commands to install the package into debian/dmtcp.
	$(MAKE) DESTDIR=$(DESTDIR) install

	dh_install -XCOPYING --fail-missing --sourcedir=$(BUILDDIR)


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=dmtcp-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dmtcp 2.6.0

=== debian/changelog ===
dmtcp (2.6.0-1~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 19 Aug 2019 16:20:42 -0400

dmtcp (2.6.0-1) unstable; urgency=low

  * New upstream release. (Closes: #791940)
  * Boosted the debian/compat for debhelper to 10.
  * Added manpage of dmtcp_srun_helper.
  * Compiled binaries with position-independent executable flag.
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Paul Grosu <pgrosu@gmail.com>  Thu, 4 Jul 2019 23:00:00 -0400

=== debian/control ===
Source: dmtcp
Section: utils
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Paul Grosu <pgrosu@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Kapil Arya <kapil@ccs.neu.edu>
Build-Depends: debhelper (>= 11), python
Standards-Version: 4.2.1
Vcs-git: https://github.com/dmtcp/dmtcp.git
Vcs-browser: https://github.com/dmtcp/dmtcp
Homepage: http://dmtcp.sourceforge.net

# Later, we want to go back and support i386 for Debian.
Package: dmtcp
Architecture: amd64 armhf arm64
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: Checkpoint/Restart functionality for Linux processes
 DMTCP (Distributed MultiThreaded Checkpointing) is a tool to
 transparently checkpointing the state of an arbitrary group of
 applications including multi-threaded and distributed computations.
 It operates directly on the user binary executable, with no Linux kernel
 modules or other kernel mods.
 .
 Among the applications supported by DMTCP are Open MPI, MVAPICH2, MATLAB,
 R, Python, Perl, and many programming languages and shell scripting
 languages.  It supports both TCP sockets and InfiniBand connections.
 With the use of TightVNC, it can also checkpoint and restart X-Window
 applications.  The OpenGL library for 3D graphics is supported through
 a special plugin.
 .
 This package contains DMTCP binaries.

# Later, we want to go back and support i386 for Debian.
Package: dmtcp-dbg
Architecture: amd64 armhf arm64
Section: debug
Priority: optional
Depends: neurodebian-popularity-contest, dmtcp, ${misc:Depends}
Description: Debug package for dmtcp
 DMTCP (Distributed MultiThreaded Checkpointing) is a tool to
 transparently checkpointing the state of an arbitrary group of
 applications including multi-threaded and distributed computations.
 It operates directly on the user binary executable, with no Linux kernel
 modules or other kernel mods.
 .
 Among the applications supported by DMTCP are Open MPI, MVAPICH2, MATLAB,
 R, Python, Perl, and many programming languages and shell scripting
 languages.  It supports both TCP sockets and InfiniBand connections.
 With the use of TightVNC, it can also checkpoint and restart X-Window
 applications.  The OpenGL library for 3D graphics is supported through
 a special plugin.
 .
 This package contains debugging symbols for DMTCP.
